
QGIS Application - Bug report #17270

Circular string : after finishing digitizing a circular string, the tool (in the toolbar) gets deselected. 

but it's still active in the canvas.

2017-10-11 10:27 AM - Loïc BARTOLETTI

Status: Open

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25168

Description

Also found by Nyall and reproduce by me for circular string in 2.18

after finishing digitizing a circular string, the tool (in the toolbar) gets deselected. but it's still active in the canvas.

History

#1 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#2 - 2019-01-21 10:15 AM - Loïc BARTOLETTI

- Affected QGIS version changed from 2.18.13 to 3.5(master)

- Status changed from Feedback to Open
